Commit 17267153 authored by kapsner's avatar kapsner

replacement of cran-mirror, update of QDNAseq-R-Package installation§

parent bffd9cea
include ../makefile.inc
R_MIRROR ?= http://cran.ma.imperial.ac.uk
#R_MIRROR ?= http://cran.ma.imperial.ac.uk
R_MIRROR ?= https://cloud.r-project.org
R_VERSION = 3.5.1
R_SOURCE = R-$(R_VERSION)
R_PREFIX ?= $(realpath .)/root
......
......@@ -22,11 +22,16 @@ if (length(bioclite.packages))
# 1.10.0 version contains an important fix.
# We still need to install the old package with biocLite first to install all dependencies.
# For some reasons below installations does not take care of installing dependencies first.
download.file(
url="http://bioconductor.org/packages/release/bioc/src/contrib/QDNAseq_1.16.0.tar.gz",
dest="/tmp/QDNAseq_1.16.0.tar.gz", method="internal");
install.packages("/tmp/QDNAseq_1.16.0.tar.gz",
repos=NULL, type="source");
# download.file(
# url="http://bioconductor.org/packages/release/bioc/src/contrib/QDNAseq_1.16.0.tar.gz",
# dest="/tmp/QDNAseq_1.16.0.tar.gz", method="internal");
# install.packages("/tmp/QDNAseq_1.16.0.tar.gz",
# repos=NULL, type="source");
# fixing installation of QDNAseq
if (!requireNamespace("BiocManager", quietly = TRUE))
install.packages("BiocManager", repos=Sys.getenv("CRAN_MIRROR"))
BiocManager::install("QDNAseq", version = "3.8")
if (length(intersect(new.packages, c("CGHtest")))) {
download.file(
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment